<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"

                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Bitacora de errores de cálculo de nómina</ui:define>

    <ui:define name="contentPart">

        <h:form id="fmaBitErrCalNomina">
            <p:growl id="confirmListConGrowl" 
                     showDetail="true" 
                     sticky="false"/>                                       

            <h:outputText 
                value="Nómina -> Reportes ->  Bitacora de errores de cálculo de nómina" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value=" Bitacora de errores de cálculo de nómina" />
            <br/><br/>

            <div align="center">
            <h:panelGrid columns="5" cellspacing="5" columnClasses="centered5,centered6,centered5,centered6,centered5">
                <p:column>
                    <h:outputLabel for="fechaInicial" value="Fecha Inicial: *" style="font-weight: bold"/>
                </p:column>
                <p:column>
                    <p:calendar value="#{bitErroresFnNomMB.dtFechaInicial}"
                                id="fechaInicial" 
                                showOn="button"                                        
                                pattern="dd/MM/yyyy"
                                locale= "es"
                                style="width: 100px"
                                maxlength="10"
                                mode="popup"
                                navigator="true"
                                readonlyInput="true"
                                converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                required="true" requiredMessage="La fecha inicial es requerida">
                    </p:calendar>   
                </p:column>
                <p:column>
                    <h:outputLabel for="fechaFinal" value="Fecha Final: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                    <p:calendar value="#{bitErroresFnNomMB.dtFechaFinal}"
                                id="fechaFinal" 
                                showOn="button"                                        
                                pattern="dd/MM/yyyy"
                                locale= "es"
                                style="width: 100px"
                                maxlength="10"
                                mode="popup"
                                navigator="true"
                                readonlyInput="true"
                                converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                required="true" requiredMessage="La fecha final es requerida">
                    </p:calendar>                                
                </p:column>
                <p:column>

                    <p:commandButton
                        value="Buscar"
                        styleClass="commandButton"
                        action="#{bitErroresFnNomMB.fillBitacora}"
                        update="tblBitErrCalNom">
                    </p:commandButton>   
                </p:column>
               
            </h:panelGrid>
            </div>
            <h:panelGrid columns="1" cellpadding="10" columnClasses="centered7">
            <p:dataTable id="tblBitErrCalNom" value="#{bitErroresFnNomMB.lstRhNomnBitErroresFnNomTO}" style="font-size: small"
                         onExpandStart="inicio()"
                         var="bitErrCalNomTO" 
                         emptyMessage="Realiza una nueva búsqueda" 
                         rowKey="#{bitErrCalNomTO.idError}" 
                         paginator="true"
                         rows="10"
                         rowsPerPageTemplate="5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90"
                         paginatorTemplate=" {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" draggableRows="true">     

                <p:column style="width:16px">
                    <p:rowToggler />
                </p:column>

                <p:column style="text-align: center; width:100px" headerText="ID Bitacora"
                          filterMatchMode="contains"
                          sortBy="#{bitErrCalNomTO.idError}">
                    <h:outputText value="#{bitErrCalNomTO.idError}" />
                </p:column>

                <p:column style="text-align: center; width:100px" headerText="Proceso"   
                          filterBy="#{bitErrCalNomTO.proceso}"
                          filterMatchMode="contains"
                          sortBy="#{bitErrCalNomTO.proceso}">
                    <h:outputText value="#{bitErrCalNomTO.proceso}" />
                </p:column>

                <p:column style="text-align: center; width:200px" headerText="Fecha"
                          filterMatchMode="contains"
                          sortBy="#{bitErrCalNomTO.fecha}"
                          filterBy="#{bitErrCalNomTO.fecha}">
                    <h:outputText value="#{bitErrCalNomTO.fecha}" >
                        <f:convertDateTime pattern="dd/MM/yyyy hh:mm" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>

                <p:column style="text-align: center; width:100px" headerText="Usuario"   
                          filterBy="#{bitErrCalNomTO.usuario}"
                          filterMatchMode="contains"
                          sortBy="#{bitErrCalNomTO.usuario}">
                    <h:outputText value="#{bitErrCalNomTO.usuario}" />
                </p:column>

                <p:rowExpansion>
                    <p:panelGrid  columns="2" columnClasses="label,value" style="width:1000px">
                        <h:outputText value="Clave del error"/>
                        <h:outputText value="#{bitErrCalNomTO.numError}" />
                        <h:outputText value="Descripción del error"/>
                        <h:outputText value="#{bitErrCalNomTO.descError}" />
                        <h:outputText value="Referencia del Id Empleado"/>
                        <h:outputText value="#{bitErrCalNomTO.pIdEmpleado}" />
                    </p:panelGrid>
                </p:rowExpansion>


            </p:dataTable>                
            </h:panelGrid>
            <br/>
            <div align="center">
                        <p:commandButton
                            value="Cerrar"
                            type="button"
                            onclick="location = '#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                        </p:commandButton>         
            </div>


        </h:form>
    </ui:define>

</ui:composition>